Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrHouse

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrHouse

    public class EntityAttrHouse
    extends EntityAttr

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `EntityAttrHouse()` |
  `` | `EntityAttrHouse​(int entityId, int entitySpecAttrId, int houseId, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getHouseId()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getType()` | Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
  `java.lang.String` | `getTypeName()` | Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
  `void` | `setHouseId​(int houseId)` |
  `void` | `setTitle​(java.lang.String title)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrHouse

    protected EntityAttrHouse()

  - ### EntityAttrHouse

    public EntityAttrHouse​(int entityId, int entitySpecAttrId, int houseId, java.lang.String title)

- ## Method Details

  - ### getType

    public int getType()
    Description copied from class: `EntityAttr`
    Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
    Overrides:
      `getType` in class `EntityAttr`
    Returns:
    See Also:
      `EntitySpecAttr`

  - ### getTypeName

    public java.lang.String getTypeName()
    Description copied from class: `EntityAttr`
    Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    Overrides:
      `getTypeName` in class `EntityAttr`
    Returns:

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId​(int houseId)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`